<template>
  <!-- 队员GPS信息添加 -->
  <div>
    <el-dialog
      :title="title + '队员GPS信息'"
      :visible.sync="showFormDia"
      width="65%"
      :before-close="handleClose"
      top="8vh"
    >
      <div>
        <el-form
          ref="formInfo"
          :rules="rules"
          :model="params"
          label-width="110px"
        >

          <el-collapse v-model="activeCollapseNames" class="form-collapse">
            <el-collapse-item name="1">
              <template slot="title">
                <span class="collapse-title">
                  <i class="collapse-title-icon el-icon-info" />
                  队员GPS信息
                </span>
              </template>
              <el-row>
                <el-col :span="12">
                  <el-form-item label="所属队员">
                    <el-select
                      clearable
                      filterable


                      style="width:100%"
                      v-model="params.teamMemberId"
                      placeholder="请选择所属队员"
                    >
                      <el-option
                        v-for="item in teamMemberIdSelectOptions"
                        :key="item.value"
                        :label="item.label"
                        :value="item.value"
                      ></el-option>
                    </el-select>
                  </el-form-item>
                </el-col>
                <el-col :span="12">
                  <el-form-item label="接收时间">
                    <el-date-picker
                      v-model="params.receiveTime"
                      type="datetime"
                      value-format="yyyy-MM-dd HH:mm:ss"
                      placeholder="请选择接收时间时间"
                      style="width:100%;"
                    />
                  </el-form-item>
                </el-col>
              </el-row>
              <el-row>
                <el-col :span="12">
                  <el-form-item label="纬度">
                    <el-input
                      clearable
                      :maxlength="10"
                      show-word-limit
                      placeholder="请输入纬度"
                      v-model="params.latitude"
                    />
                  </el-form-item>
                </el-col>
                <el-col :span="12">
                  <el-form-item label="经度">
                    <el-input
                      clearable
                      :maxlength="10"
                      show-word-limit
                      placeholder="请输入经度"
                      v-model="params.longitude"
                    />
                  </el-form-item>
                </el-col>
              </el-row>
              <el-row>
                <el-col :span="12">
                  <el-form-item label="海拔高度">
                    <el-input
                      clearable
                      :maxlength="100"
                      placeholder="请输入海拔高度"
                      v-model="params.altitude"
                      show-word-limit
                    />
                  </el-form-item>
                </el-col>
                <el-col :span="12">
                  <el-form-item label="卫星数">
                    <el-input
                      clearable
                      :maxlength="100"
                      placeholder="请输入卫星数"
                      v-model="params.satellites"
                      show-word-limit
                    />
                  </el-form-item>
                </el-col>
              </el-row>
              <el-row>
                <el-col :span="12">
                  <el-form-item label="GPS速度">
                    <el-input
                      clearable
                      :maxlength="100"
                      placeholder="请输入GPS速度"
                      v-model="params.gpsspeed"
                      show-word-limit
                    />
                  </el-form-item>
                </el-col>
                <el-col :span="12">
                  <el-form-item label="方向">
                    <el-input
                      clearable
                      :maxlength="100"
                      placeholder="请输入方向"
                      v-model="params.direction"
                      show-word-limit
                    />
                  </el-form-item>
                </el-col>
              </el-row>
              <el-row>
                <el-col :span="12">
                  <el-form-item label="位置精度">
                    <el-input
                      clearable
                      :maxlength="100"
                      placeholder="请输入位置精度"
                      v-model="params.pdop"
                      show-word-limit
                    />
                  </el-form-item>
                </el-col>
                <el-col :span="12">
                  <el-form-item label="设备ID">
                    <el-input
                      clearable
                      :maxlength="100"
                      placeholder="请输入设备ID"
                      v-model="params.devid"
                      show-word-limit
                    />
                  </el-form-item>
                </el-col>
              </el-row>
              <el-row>
                <el-col :span="24">
                  <el-form-item label="备注">
                    <el-input
                      :rows="3"
                      :maxlength="500"
                      show-word-limit
                      v-model="params.memo"
                      type="textarea"
                      style="width:100%;"
                    />
                  </el-form-item>
                </el-col>
              </el-row>

            </el-collapse-item>
          </el-collapse>
        </el-form>


      </div>
      <span slot="footer" class="dialog-footer">
        <el-button type="primary" :loading="loading" @click="handleSave">保 存</el-button>
        <el-button @click="handleClose">取 消</el-button>
      </span>
    </el-dialog>
  </div>
</template>
<script>

import CmgtDutyTeamMemberGpsinfoApi from '@/views/Manage/duty/api/CmgtDutyTeamMemberGpsinfoApi'
import dictContracts from '@/components/dict/DictSelectUtils.js'
import CommonApi from '@/views/Manage/CommonApi.js'
import {mapState} from 'vuex'


export default {
  name: 'CmgtDutyTeamMemberGpsinfoFormDialog',
  props: {},
  components: {},
  data() {
    return {
      title: '新增',
      CommonApi,
      showFormDia: false,
      loading: false,
      activeCollapseNames: ['1'],
      activeTabChildName: '0',

      teamMemberIdSelectOptions: [],
      params: {
        teamMemberId: null,
        receiveTime: null,
        latitude: null,
        longitude: null,
        altitude: null,
        satellites: null,
        gpsspeed: null,
        direction: null,
        pdop: null,
        devid: null,
        memo: null
      },
      rules: {}
    }
  },
  computed: mapState({
    header: state => {
      return {
        Authorization: `Bearer ${state.login.currentUser.token}`
      }
    }
  }),
  created() {
    CommonApi.loadSelectOptions({name: 'cmgtDutySelectOptions.getCmgtDutyTeamMemeber'}, res => {
      this.teamMemberIdSelectOptions = res
    })
  },
  methods: {
    add() {
      this.title = '新增'
      this.resetForm()
      this.showFormDia = true
    },
    resetForm() {
      this.params = {
        teamMemberId: null,
        receiveTime: null,
        latitude: null,
        longitude: null,
        altitude: null,
        satellites: null,
        gpsspeed: null,
        direction: null,
        pdop: null,
        devid: null,
        memo: null
      }
    },
    handleClose() {
      this.resetForm()
      this.showFormDia = false
    },
    handleSave() {
      this.$refs.formInfo.validate(valid => {
        if (valid) {
          let method
          if (!this.params.id) {
            // 新增
            method = CmgtDutyTeamMemberGpsinfoApi.addCmgtDutyTeamMemberGpsinfo
          } else {
            // 修改
            method = CmgtDutyTeamMemberGpsinfoApi.editCmgtDutyTeamMemberGpsinfo
          }
          this.loading = true
          method(this.params, res => {
            this.loading = false
            if (res.state) {
              this.$notify({
                type: 'success',
                message: this.title + '成功',
                duration: 2000
              })
              //this.$emit('loadData')
              this.$parent.loadData()
              this.handleClose()
            } else {
              this.$message.warning(res.message)
            }
          })
        }
      })
    },
    Update(row) {
      this.title = '修改'
      this.showFormDia = true
      this.params = row
    }
  }
}
</script>
<style lang="scss" scoped>
.step-container {
  width: 80%;
  margin: 0 auto 20px;
}

.dialog-footer {
  text-align: center;
}
</style>
